# mbdiff - nodelist difference file processor.

### SYNOPSIS

mbdiff [nodelist] [nodediff] <options>

### DESCRIPTION

mbdiff applies a (compressed) nodediff file against the nodelist of the week before to create a new nodelist. The new nodelist can optionally be compressed.

### ENVIRONMENT

In order to run mbdiff you must set the global variable $MBSE_ROOT. This variable must point to the root directory of the bbs structure. The main configuration file config.data must be present in the ~/etc directory.

### COMMANDS

mbdiff [nodelist] [nodediff] The nodelist must be the full path and filename without the dot and daynumber extension. The nodediff is the full path and filename to the (compressed) nodediff file fitting on the latest nodelist. It is adviced to make a seperate working directory where you keep the nodelists. Don't do this in your normal nodelist directory. When the operation is successfull, the new nodelist is in the working directory and the old list is removed. A compressed version of the nodelist is also placed in the working directory. From here you can hatch the new compressed nodelist with the mbfido program.

### OPTIONS

-quiet - supress screen output, this switch is needed when mbdiff runs on the background.

### BUGS

If you find any bugs, mispelled documentation etc, please contact the author: Michiel Broek at 2:2801/16@Fidonet or Michiel_Broek@f16.n2801.z2.fidonet.org

Back to index Back to Main index